/* GENERAL */

body {
    margin     : 0;
    padding    : 0;
    font-family: 'Montserrat', sans-serif;
}

.h1 {
    font-size: 2.9em;
    line-height: 1.5em;
}

.h2 {
    font-size: 1.5em;
    line-height: 1.5em;
}

.h3, .h4 {
    font-size  : 1em;
    font-weight: normal;
}

/* NAV */

#nav {
    display         : flex;
    flex-wrap       : wrap;
    justify-content : space-around;
    align-items     : center;
    position        : fixed;
    z-index         : 999;
    width           : 100vw;
    height: 51px;
    top             : 0;
    background-color: #2799FA;
}

#nav a {
    display        : block;
    padding        : 16px 25px;
    text-decoration: none;
    color          : #FFFFFF;
}

#nav div {
    display  : flex;
    flex-wrap: wrap;
}

/* NAV HOVER */

#nav a:hover {
    color: #062f53;
}

#nav div a:hover {
    background-color: #ACD9FF;
}

/* BANNER */

.banner {
    display        : flex;
    flex-wrap      : wrap;
    flex-direction : column;
    justify-content: center;
    align-items    : center;
    width          : 100vw;
    height         : 35vh;
    margin-top     : 51px;
    background     : 40% / cover url("../../img/banner.jpg");
    color          : #FFFFFF;
}

.banner h1 {
    font-size  : 3.7em;
    text-shadow: 2px 2px 2px #000000;
}

.banner p {
    font-size  : 1.9em;
    text-shadow: 2px 2px 2px #000000;
}

/* HOME */

.home {
    display        : flex;
    flex-wrap      : wrap;
    justify-content: center;
    margin-top     : 50px;
}

.home_content {
    margin    : 0 20px;
    width     : 30%;
    max-width : 400px;
    text-align: justify;
}

.home img {
    margin: 0 20px;
    width : 384px;
    height: 255px;
}

/* PRODUCTS */

.products {
    display       : flex;
    flex-wrap     : wrap;
    flex-direction: column;
    align-items   : center;
    margin-top    : 150px;
    text-align    : center;
}

.products h2, .products h3 {
    width    : 60%;
    max-width: 600px;
}

.products_grid {
    display              : grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows   : 1fr 1fr;
    grid-gap             : 30px;
    margin-top           : 50px;
}

.product {
    transition: 300ms ease;
}

.product a {
    color          : #000000;
    text-decoration:  none;
}

.product img {
    width : 280px;
    height: 280px;
}

/* PRODUCTS HOVER */

.product:hover {
    transform: scale(1.1);
}

/* CONTACT */

.contact {
    display         : flex;
    flex-wrap       : wrap;
    flex-direction  : column;
    align-items     : center;
    margin          : 100px auto 0 auto;
    background-color: #ACD9FF;
    text-align      : center;
    color           : #FFFFFF;
}

.contact h2, .contact h3 {
    width    : 50%;
    max-width: 600px;
}

.button {
    padding        : 0 10px;
    border         : 2px solid #FFFFFF;
    border-radius  : 5px;
    text-decoration: none;
    color          : #FFFFFF;
    transition     : 300ms ease;
}

.contact_social {
    display        : flex;
    flex-wrap      : wrap;
    justify-content: space-between;
    width          : 150px;
    padding        : 25px;
    font-size      : 1.3em;
}

svg{
    float:left;
    width:30px;
    height:30px;
    fill: #FFFFFF;
}

svg:hover{
    fill:#2799FA;
    transition: linear 0.5s;
}

/* CONTACT : HOVER */

.button:hover {
    border: 2px solid #2799FA;
    color : #2799FA;
}

.contact_social a:hover {
    color: #2799FA;
}

/* FOOTER */

footer {
    margin          : auto;
    padding         : 10px;
    background-color: #2799FA;
    text-align      : center;
    color           : #FFFFFF;
    
}

footer a {
    border-bottom  : 1px solid #FFFFFF;
    color          : #FFFFFF;
    text-decoration: none;
}

/* ARTICLE */

.main_article {
    display        : flex;
    flex-wrap      : wrap;
    justify-content: center;
    margin-top     : 130px;
}

.container {
    display              : grid;
    grid-template-columns: 70% 25%;
    grid-gap             : 10%;
    width                : 70%;
    max-width            : 1000px;
    text-align           : justify;
    line-height          : 1.5em;
}

.article {
    margin-bottom: 80px;
}

.article img {
    width : 546px;
    height: 379px;
}

/* ASIDE */

aside {
    display       : flex;
    flex-wrap     : wrap;
    flex-direction: column;
    align-items   : center;
    margin-top    : 30px;
    text-align    : center;
}

aside img {
    width : 156px;
    height: 156px;
}

aside p {
    margin: 5px 0 60px 0;
}

/* MENTIONS */

.main_mentions {
    display       : flex;
    flex-wrap     : wrap;
    flex-direction: column;
    width         : 60%;
    margin        : auto;
    margin-top    : 150px;
    line-height   : 1.5em;
    text-align    : justify;
}

.main_mentions ol {
    list-style : none;
    line-height: 1.9em;
}

.question {
    font-weight: bold;
    font-style : italic;
}

/* MEDIA QUERIES */ 

/* SCREEN 1280 + */

@media all and (min-width: 1280px) {

    /* ARTICLE */

    .article img {
        width : 655px;
        height: 454px;
    }
}

/* SCREEN 600px - 1024px */

@media all and (min-width: 600px) and (max-width: 1024px) {

    /* HOME */

    .home_content {
        min-width: 250px;
    }

    /* ARTICLE */

    .container {
        display       : flex;
        flex-wrap     : wrap;
        flex-direction: column;
        width         : 60%;
    }

    .article img {
        width : 523px;
        height: 272px;
    }

    /* ASIDE */

    aside {
        display        : flex;
        flex-wrap      : wrap;
        flex-direction : row;
        justify-content: center;
    }
}

/* SCREEN 550px - 700px */

@media all and (min-width: 550px) and (max-width: 700px) {

    /* ARTICLE */

    .article img {
        width : 436px;
        height: 227px;
    }
}

/* SCREEN 300px - 600px */

@media all and (min-width: 300px) and (max-width: 600px) {

    /* NAV */

    #nav {
        height: 87px;
    }

    #nav a {
        padding: 5px 25px;
    }

    #nav div {
        display  : flex;
        flex-wrap: wrap;
        flex-direction: column;
    }

    /* HOME */

    .home_content {
        width: 60%;
    }

    .home img {
        width : 307px;
        height: 204px;
    }

    /* PRODUCTS */

    .products_grid {
        grid-template-columns: 1fr;
        grid-template-rows   : 1fr 1fr 1fr 1fr;
    }

    .product img {
        width : 168px;
        height: 168px;
    }

    /* ARTICLE */

    .container {
        display       : flex;
        flex-wrap     : wrap;
        flex-direction: column;
    }

    .article img {
        width : 0px;
        height: 0px;
    }

    /* ASIDE */

    aside {
        display        : flex;
        flex-wrap      : wrap;
        flex-direction : row;
        justify-content: center;
    }
}